Security

Reply
New Contributor

Aruba VIA Requires Upgrade in iOS12

 Since iOS12 we are no longer possible to connect to company vpn using iPhone or iPad.

The ios via app simply states ”Upgrade required” and thats it.

Any upgrades planned?

Guru Elite

Re: Aruba VIA Requires Upgrade in iOS12

Apple removed the framework that was used by most VPN apps in both iOS 12 and macOS 10.14. We’re working diligently to release an updated app that will work on iOS 12.

| Tim Cappalli | Aruba Security | @timcappalli | timcappalli.me |

NOTE: Answers and views expressed by me on this forum are my own and not necessarily the position of Aruba or Hewlett Packard Enterprise.
Occasional Contributor I

Re: Aruba VIA Requires Upgrade in iOS12


@cappalli wrote:
Apple removed the framework that was used by most VPN apps in both iOS 12 and macOS 10.14. We’re working diligently to release an updated app that will work on iOS 12.

Hi!
Do you have a source, explaining that "Apple removed the framework that was used by most VPN" in their latest OS release?

Do you have any additional information when to expect a solution for VIA on macOS 10.14?

TIA, 
Danjel

Guru Elite

Re: Aruba VIA Requires Upgrade in iOS12

There is this:  https://www.mobileiron.com/en/blog/Apples-IOS-12-and-Network-Extension-Framework-for-VPN-Clients


*Answers and views expressed by me on this forum are my own and not necessarily the position of Aruba Networks or Hewlett Packard Enterprise.*
ArubaOS 8.4 User Guide
InstantOS 8.3 User Guide
Airheads Knowledgebase
Airheads Learning Videos
Occasional Contributor I

Re: Aruba VIA Requires Upgrade in iOS12


@cjoseph wrote:

There is this:  https://www.mobileiron.com/en/blog/Apples-IOS-12-and-Network-Extension-Framework-for-VPN-Clients


Much appreciated and thanks for sharing C.

//D

New Contributor

Re: Aruba VIA Requires Upgrade in iOS12

Hey Tim,

 

Any update/ETA on the iOS12 or MacOS 10.14 client?

 

Thanks

Highlighted
Contributor I

Re: Aruba VIA Requires Upgrade in iOS12

I had put in a ticket on both of these and found that there's a new iOS app (v3.0.3) available in the App Store that works with iOS 12.  Note that it's a brand new VIA app that you need to download, and the old app (v3.0.2) won't upgrade to the new version. 

 

I only got that they're working on the macOS Mojave app with no time frame listed for resolution.  Very frustrating.

Contributor I

Re: Aruba VIA Requires Upgrade in iOS12

Response to my open TAC last night on issue of no VIA client for macOS Mojave:

 

"We apologize for the inconvenience. Engineering team is still working for Mojave.

It might take some time to release for macOS Mojave so please let me know if we can archive this TAC case for now once release will be available we will keep you posted."

Occasional Contributor I

Re: Aruba VIA Requires Upgrade in iOS12

I have 2 clients for which I must use Aruba VIA VPN and I also need to upgrade to Mojave for other reasons. Mojave was in beta from June to September and in release for almost 2 months now. Why is it taking so long to release a Mojave compatible version of Aruba VIA??

Guru Elite

Re: Aruba VIA Requires Upgrade in iOS12

We essentially had rewrite the app from scratch. Apple completely changed their underlying framework and now requires the app to only be made available in the app store.

We apologize for the delay, but unfortunately it has been somewhat out of our control.

| Tim Cappalli | Aruba Security | @timcappalli | timcappalli.me |

NOTE: Answers and views expressed by me on this forum are my own and not necessarily the position of Aruba or Hewlett Packard Enterprise.
Search Airheads
cancel
Showing results for 
Search instead for 
Did you mean: